# comment out when not pre-release
#define prel	beta1

%define rel	3

Name:		qpdfview
Summary:	Tabbed PDF viewer
Version:	0.5.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2
Group:		Office/Utilities
URL:		https://launchpad.net/qpdfview
Source0:	https://launchpad.net/qpdfview/trunk/%{version}%{?prel}/+download/%{name}-0.5%{?prel}.tar.gz
BuildRequires:	qttools6
BuildRequires:	cups-devel
BuildRequires:	magic-devel
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(Qt6Concurrent)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6PrintSupport)
BuildRequires:	pkgconfig(Qt6Sql)
BuildRequires:	pkgconfig(Qt6Svg)
BuildRequires:	pkgconfig(Qt6DBus)
BuildRequires:	pkgconfig(Qt6Xml)
BuildRequires:	pkgconfig(zlib)

Requires:	qt6-database-plugin-sqlite

%description
qpdfview is a tabbed PDF, PS, and DjVu viewer.
It uses the Poppler library for rendering and CUPS for printing.
It provides a clear and simple graphical user interface using the Qt framework.

%prep
%setup -q -n %{name}-0.5%{?prel}
%autopatch -p1

%build
#translations
%{_qt6_bindir}/lrelease qpdfview.pro

%qmake_qt6 \
	PLUGIN_INSTALL_PATH="%{_libdir}/%{name}" \
	DATA_INSTALLPATH="%{_datadir}/%{name}" \
	qpdfview.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.5.0-3.mga10
+ Revision: 2217707
- Mageia 10 Mass Rebuild

* Tue Feb 07 2023 daviddavid <daviddavid> 0.5.0-2.mga9
+ Revision: 1939243
- switch to Qt6

* Tue Feb 07 2023 daviddavid <daviddavid> 0.5.0-1.mga9
+ Revision: 1938994
- new version: 0.5.0 final

* Sun Jan 08 2023 daviddavid <daviddavid> 0.5.0-0.beta1.1.mga9
+ Revision: 1931619
- new version: 0.5.0beta1

* Mon Apr 04 2022 umeabot <umeabot> 0.4.18-3.mga9
+ Revision: 1843135
- Mageia 9 Mass Rebuild

* Wed Jul 22 2020 daviddavid <daviddavid> 0.4.18-2.mga8
+ Revision: 1607767
- add patch to fix build with Qt 5.15

* Tue Apr 28 2020 daviddavid <daviddavid> 0.4.18-1.mga8
+ Revision: 1572954
- new version: 0.4.18 (final) (thanks to Aurélien Murith)

* Sat Feb 15 2020 umeabot <umeabot> 0.4.18-0.beta1.3.mga8
+ Revision: 1525005
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 0.4.18-0.beta1.2.mga7
+ Revision: 1384249
- Qt5 Rebuild

* Tue Nov 20 2018 daviddavid <daviddavid> 0.4.18-0.beta1.1.mga7
+ Revision: 1332298
- new version: 0.4.18beta1

* Sun Sep 23 2018 umeabot <umeabot> 0.4.17-0.beta1.2.mga7
+ Revision: 1300666
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 daviddavid <daviddavid> 0.4.17-0.beta1.1.mga7
+ Revision: 1132235
- new version: 0.4.17_beta1

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.4.16-4.mga6
+ Revision: 1070643
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.4.16-3.mga6
+ Revision: 1046198
- test rebuild for poppler
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 daviddavid <daviddavid> 0.4.16-1.mga6
+ Revision: 903280
- new version: 0.4.16

* Sat Sep 05 2015 daviddavid <daviddavid> 0.4.15-1.mga6
+ Revision: 872928
- new version: 0.4.15
- build with Qt5
- update BuildRequires and Requires
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.4.11.1-3.mga5
+ Revision: 748217
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.11.1-2.mga5
+ Revision: 688505
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 0.4.11.1-1.mga5
+ Revision: 660314
- New version: 0.4.11.1

* Mon May 12 2014 sander85 <sander85> 0.4.10-1.mga5
+ Revision: 622262
- New version: 0.4.10

* Thu Mar 13 2014 dams <dams> 0.4.8-1.mga5
+ Revision: 603223
- new version 0.4.8

* Sat Oct 19 2013 umeabot <umeabot> 0.4.4-4.mga4
+ Revision: 533686
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 wally <wally> 0.4.4-3.mga4
+ Revision: 474869
- require qt4-database-plugin-sqlite

* Tue Sep 03 2013 wally <wally> 0.4.4-2.mga4
+ Revision: 474827
- fix missing translations (mga#11140)

* Sun Aug 04 2013 djennings <djennings> 0.4.4-1.mga4
+ Revision: 463207
- New version 0.4.4

* Wed Jun 26 2013 djennings <djennings> 0.4.3-1.mga4
+ Revision: 447264
- Initial import into Mageia

